Skip to main content
`Ctrl`+`K`

# PetscFEGetDualSpace

Returns the `PetscDualSpace` used to define the inner product for a `PetscFE`

## Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscFEGetDualSpace(PetscFE fem, PetscDualSpace *sp)

Not Collective

## Input Parameter

- fem - The `PetscFE` object

## Output Parameter

- sp - The `PetscDualSpace` object

## See Also

`PetscFE`, `PetscSpace`, `PetscDualSpace`, `PetscFECreate()`

## Level

intermediate

## Location

src/dm/dt/fe/interface/fe.c

Index of all FE routines
Table of Contents for all manual pages
Index of all manual pages